org.eclipse.rap.rwt.service

## Interface UISessionListener

    public interface UISessionListener

A listener that can be attached to a `UISession` to receive a notification before the UI session is destroyed.

Since:
  2.0

### Method Summary

Methods
`void` `beforeDestroy(UISessionEvent event)` Called before the related UI session is destroyed.

### Method Detail

#### beforeDestroy

    void beforeDestroy(UISessionEvent event)

Called before the related UI session is destroyed.

Parameters:
  `event` - an event that provides access to the UI session

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0